function getColumns() {
	let columns = [
		{
			title: "N°",
			data: "id",
			className: "text-center"
		},
		{
			title: `APELLIDOS Y NOMBRES`,
			data: null,
			className: `text-center`,
			render: (data) => {
				let nombresCompletos;
				let nombres = data.trabajador_nombres;
				let apellidos = data.trabajador_apellidos;
				nombresCompletos = `${apellidos} ${nombres}`;

				return nombresCompletos;
			}
		},
		{
			title: "FECHA INICIO",
			data: "fecha_asistencia",
			className: "text-center"
		},
		{
			title: `FECHA FIN`,
			data: `marcacion_entrada`,
			className: 'text-center'
		},
		{
			title: `MOTIVO`,
			data: `descuento`,
			className: 'text-center',
			render: (data) => {
				return `<span class="text-danger">${parseFloat(data).toFixed(2)}</span>`;
			}
		},
		{
			title: `ESTADO`,
			data: `tipo_registro`,
			className: 'text-center',
			render: (data) => {
				let label = "";
				let contenido = "";
				if (data == 1) {
					label = "label label-info"
					contenido = "HUELLA"
				} else {
					label = "label label-warning"
					contenido = "MANUAL"
				}
				return  `<span class="${label}">${contenido}</span>`
			}
		},
		{
			title: `ACCIONES`,
			data: null,
			className: 'text-center',
			render: (data) => {
				let acciones = "";
				let registrar = "";
				let verdetalle = "";
				verdetalle = `<span data-toggle="tooltip" data-placement="left" title="Ver detalle" style="cursor: pointer"> <i class='verdetalle icon-list text-primary-700'></i>&nbsp;&nbsp; </span>`;
				acciones = verdetalle;
				return acciones;
			}
		}
	];

	return columns;
}


const listarJustificaciones = (objParams = {}) => {
	ajaxWebService.get(URI_JUSTIFICACION, objParams).then((response) => {
		let columns = getColumns();

		let wrapsNameDatatable = `divDatatable`;
		let classNameForDatatable = `display table table-bordered`;

		makeDatatable(
			wrapsNameDatatable,
			{
				data: response.data,
				columns,
			},
			classNameForDatatable,
			).then((nodes) => {
			nodes.container
				.off()
				.on("click", "#chkSelectAll", (e) => seleccionarCheckBoxTodo($(e.currentTarget)))
//              .on("click", ".verdetalle", function () {
//                let data = nodes.datatable.DataTable().row($(this).parents("tr")).data();
//                mostrarModalVerDetalleDescuentoAsistencia(data);
//              })

		});
	});
};

$(document).ready(function () {

});